// Common styles
.p-t-0 {
	padding-top:0!important;
}

.p-t-20 {
	padding-top:20px!important;
}

.p-t-25 {
	padding-top:25px!important;
}

.p-v-25 {
	padding-top:25px!important;
	padding-bottom:25px!important;
}

:host {
	@media screen and (max-width: 600px) {
		height:100%;
		width:100%;
	}
}

// Dialog-box
.container {
	width:530px;
	height:560px;
	background-color: #fefefe;
	padding:0 10px;
	box-sizing: border-box;
	box-shadow:0 0 20px rgba(0,0,0,.05);
	border-radius:15px;

	@media screen and (max-width: 600px) {
		height:100%;
		width:100%;
		border-radius:0;
	}

	.content {
		display: flex;
		flex-direction: column;
		height:85%;

		@media screen and (max-width: 600px) {
			height:80%;
		}

		.pre-header {
			padding:15px 0;
		}

		.header {
			text-align: center;
			padding:50px 60px 0;
			box-sizing: border-box;

			@media screen and (max-width: 600px) {
				padding:20px 20px;
				border-bottom: 1px solid rgba(0,0,0,.02);
			}

			.logo {
				width:100%;
				max-width:400px;
			}

		}

		.body {
			display:flex;
			flex-direction: column;
			justify-content: center;
			flex-grow:1;
			box-sizing: border-box;
			padding:40px 60px 0;
			box-sizing: border-box;
			font-family:Helvetica;

			@media screen and (max-width: 600px) {
				padding:20px 20px;
			}

			p {
				margin-bottom:10px;
			}

			select {
				width:100%;
				padding:10px 20px;
				border-radius:5px;
				outline-style: none;
				border:0;
				border:1px solid rgba(0,0,0,.05);
				margin-bottom:25px;
			}

			input {
				width:100%;
				padding:10px 20px;
				box-sizing: border-box;
				margin-bottom:25px;
				border:0;
				border: 1px solid rgba(0,0,0,.05);
				border-radius:5px;
			}

			textarea.custom-textarea {
				width:100%;
				border:0;
				border:1px solid rgba(0,0,0,.05);
				padding:15px 15px;
				box-sizing: border-box;
				margin-bottom:25px;
				border-radius:5px;
				font-family:Helvetica;
				resize: none;
			}

			.centered-section {
				text-align: center;
			}

			.note-section {
				font-size:.8em;
				color:rgba(0,0,0,.6);
				text-align: justify;
			}

		}

	}

	.footer {
		display: flex;
		align-items: center;
		justify-content: center;
		height:15%;
		border-top:1px solid rgba(0,0,0,.03);

		@media screen and (max-width: 600px) {
			height:20%;
		}

	}

}

// Slider customization
::ng-deep {
	.custome-slider {
		.ng5-slider {
		
			margin-bottom:50px;

			& .ng5-slider-pointer {
		    	background-color:rgb(217,0,182);
				width:20px;
		    	height:20px;
				top:-7px;

				&::after {
					display:none;
				}

			}

			& .ng5-slider-selection {
				background-color:#666666;
				height:7px;
			}

			& .ng5-slider-bar {
				height:7px;
			}

		}
	}
}